id: 1
createTime: 2024-01-14T13:43:49.419512785Z
name: tackle-testapp-public.1.windup
addon: analyzer
data:
    mode:
        artifact: ""
        binary: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=jakarta-ee
        path: ""
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 1
    name: tackle-testapp-public
state: Succeeded
image: registry.redhat.io/mta/mta-analyzer-addon-rhel9@sha256:2c211aa6b5e77b89c43f4d4c3e93a3fcc0a0e7812cb5dd0dda90ea45f27a5617
started: 2024-01-14T13:43:49.99819093Z
terminated: 2024-01-14T14:46:50.58248187Z
activity:
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[FILE] Created /addon/settings.xml.'
    - '[MVN] Using settings file(path=/addon/settings.xml).'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp-public'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone https://github.com/konveyor/tackle-testapp-public /addon/source/tackle-testapp-public'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=7 (eap8/eap7)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=6 (eap7/weblogic/tests/data)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/converted /addon/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - 'Settings: /addon/opt/settings.json'
    - '> - name: go'
    - '>   binaryPath: /usr/bin/generic-external-provider'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp-public'
    - '>     analysisMode: full'
    - '>     providerSpecificConfig:'
    - '>       dependencyProviderPath: /usr/bin/golang-dependency-provider'
    - '>       lspServerPath: /root/go/bin/gopls'
    - '>       name: go'
    - '> - name: java'
    - '>   binaryPath: /jdtls/bin/jdtls'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp-public'
    - '>     analysisMode: source-only'
    - '>     providerSpecificConfig:'
    - '>       bundles: /jdtls/java-analyzer-bundle/java-analyzer-bundle.core/target/java-analyzer-bundle.core.jar'
    - '>       depOpenSourceLabelsFile: /usr/local/etc/maven.default.index'
    - '>       lspServerPath: /jdtls/bin/jdtls'
    - '>       mavenSettingsFile: /addon/settings.xml'
    - '> - name: builtin'
    - '>   initConfig:'
    - '>   - location: /addon/source/tackle-testapp-public'
    - '>     analysisMode: ""'
    - '> '
    - '[CMD] Running: /usr/bin/konveyor-analyzer --provider-settings /addon/opt/settings.json --output-file /addon/report.yaml --no-dependency-rules --rules /addon/rules/rulesets/7/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/6/rules --label-selector konveyor.io/target=jakarta-ee --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] /usr/bin/konveyor-analyzer succeeded.'
    - '[CMD] Running: /usr/bin/konveyor-analyzer-dep --provider-settings /addon/opt/settings.json --output-file /addon/deps.yaml'
    - '[CMD] /usr/bin/konveyor-analyzer-dep succeeded.'
    - 'Analysis reported. duration: 175.010262ms'
    - '[TAG] Tagging Application 1.'
    - Facts updated.
    - Done.
attached:
    - id: 338
      name: ssh-agent.output
      activity: 2
    - id: 339
      name: git.output
      activity: 9
    - id: 340
      name: windup-shim.output
      activity: 15
    - id: 341
      name: konveyor-analyzer.output
      activity: 42
    - id: 342
      name: konveyor-analyzer-dep.output
      activity: 44
